| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__SystemSipEntry Struct Reference
System Sip Entity

System Sip Entry. More...

`#include <osv-if-doc.h>`

## Public Attributes
char * | SIPEntityID
| This identifies the HTTP Digest Authentication entry; typically it is an IP address or a Fully Qualified Domain Name (FQDN). More...
int * | Port
| This identifies Port paired with IP, if not sent the default 0 is set. More...
enum unsp__RealmIDType * | RealmIDType
| This identifies the HTTP Digest identification type being used. More...
xsd__boolean * | TrustedEntity
| Indicates whether the SystemSipEntry being created is to be a trusted entity or not. More...
char * | LocalRealm
| This identifies the local realm. More...
char * | LocalUserName
| This identifies a user within the local realm. More...
char * | LocalPassword
| The password for the local user within the local realm. More...
enum unsp__SIPSecSchemae * | Scheme
| SIP Security Scheme. More...
char * | RemoteRealm
| This identifies the remote realm. More...
char * | RemoteUserName
| This identifies a user within the remote realm. More...
char * | RemotePassword
| The password for the remote user within the remote realm. More...
enum unsp__HashAlgorithm * | HashAlgorithm
| The type of hash algorithm used for SIP Authentication. More...

## Detailed Description

System Sip Entry.

## Member Data Documentation

## ◆ HashAlgorithm

enum unsp__HashAlgorithm* unsp__SystemSipEntry::HashAlgorithm

The type of hash algorithm used for SIP Authentication.

required: false
default value[range]: HaMd5 (default)

## ◆ LocalPassword

char* unsp__SystemSipEntry::LocalPassword

The password for the local user within the local realm.

For a trusted entity, this parameter should not be provisioned. For a non-trusted entity, if this parameter is not provisioned, the default localhost entry information is used.
required: false
default value[range]: NA [6..20]

## ◆ LocalRealm

char* unsp__SystemSipEntry::LocalRealm

This identifies the local realm.

A realm is a string to be displayed to users for association with its username and password. For a trusted entity, this parameter should not be provisioned. For a non- trusted entity, if this parameter is not provisioned, the default localhost entry information is used.
required: false
default value[range]: NA [1..128]

## ◆ LocalUserName

char* unsp__SystemSipEntry::LocalUserName

This identifies a user within the local realm.

For a trusted entity, this parameter should not be provisioned. For a non- trusted entity, if this parameter is not provisioned, the default localhost entry information is used.
required: false
default value[range]: NA [6..64]

## ◆ Port

int* unsp__SystemSipEntry::Port

This identifies Port paired with IP, if not sent the default 0 is set.

required: true
default value[range]: NA [1..65535]

## ◆ RealmIDType

enum unsp__RealmIDType* unsp__SystemSipEntry::RealmIDType

This identifies the HTTP Digest identification type being used.

required: false
default value[range]: Ip

## ◆ RemotePassword

char* unsp__SystemSipEntry::RemotePassword

The password for the remote user within the remote realm.

For a trusted entity, this parameter should not be provisioned. For a non-trusted entity, this parameter must be provisioned.
required: false
default value[range]: NA [6..20]

## ◆ RemoteRealm

char* unsp__SystemSipEntry::RemoteRealm

This identifies the remote realm.

A realm is a string to be displayed to users for association with its username and password. For a trusted entity, this parameter should not be provisioned. For a non- trusted entity, this parameter must be provisioned.
required: false
default value[range]: NA [0..128]

## ◆ RemoteUserName

char* unsp__SystemSipEntry::RemoteUserName

This identifies a user within the remote realm.

For a trusted entity, this parameter should not be provisioned. For a non- trusted entity, this parameter must be provisioned.
required: false
default value[range]: NA [6..64]

## ◆ Scheme

enum unsp__SIPSecSchemae* unsp__SystemSipEntry::Scheme

SIP Security Scheme.

required: false
default value[range]: NA

## ◆ SIPEntityID

char* unsp__SystemSipEntry::SIPEntityID

This identifies the HTTP Digest Authentication entry; typically it is an IP address or a Fully Qualified Domain Name (FQDN).

required: true
default value[range]: NA [1..255]

## ◆ TrustedEntity

xsd__boolean* unsp__SystemSipEntry::TrustedEntity

Indicates whether the SystemSipEntry being created is to be a trusted entity or not.

required: false
default value[range]: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h